"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
"""
import abc
import example.greeter.v1beta1.greeter_api_pb2
import grpc

class GreeterAPIStub:
    """The greeting service definition."""
    def __init__(self, channel: grpc.Channel) -> None: ...
    Greet: grpc.UnaryUnaryMultiCallable[
        example.greeter.v1beta1.greeter_api_pb2.GreetRequest,
        example.greeter.v1beta1.greeter_api_pb2.GreetResponse] = ...
    """Request a greeting."""


class GreeterAPIServicer(metaclass=abc.ABCMeta):
    """The greeting service definition."""
    @abc.abstractmethod
    def Greet(self,
        request: example.greeter.v1beta1.greeter_api_pb2.GreetRequest,
        context: grpc.ServicerContext,
    ) -> example.greeter.v1beta1.greeter_api_pb2.GreetResponse:
        """Request a greeting."""
        pass


def add_GreeterAPIServicer_to_server(servicer: GreeterAPIServicer, server: grpc.Server) -> None: ...
